Skip to main content
`Ctrl`+`K`

# PetscSFSetUp

set up communication structures for a `PetscSF`, after this is done it may be used to perform communication

## Synopsis

    #include "petscsf.h"
    PetscErrorCode PetscSFSetUp(PetscSF sf)

Collective

## Input Parameter

- sf - star forest communication object

## See Also

`PetscSF`, `PetscSFType`, `PetscSFSetFromOptions()`, `PetscSFSetType()`

## Level

beginner

## Location

src/vec/is/sf/interface/sf.c

## Examples

src/vec/is/sf/tutorials/ex1.c
src/vec/is/sf/tutorials/ex1f.F90
src/vec/is/sf/tutorials/ex3.c
src/vec/is/sf/tutorials/ex2.c

## Implementations

PetscSFSetUp_Allgather() in src/vec/is/sf/impls/basic/allgather/sfallgather.c
PetscSFSetUp_Allgatherv() in src/vec/is/sf/impls/basic/allgatherv/sfallgatherv.c
PetscSFSetUp_Neighbor() in src/vec/is/sf/impls/basic/neighbor/sfneighbor.c
PetscSFSetUp_Basic() in src/vec/is/sf/impls/basic/sfbasic.c
PetscSFSetUp_Window() in src/vec/is/sf/impls/window/sfwindow.c

Index of all PetscSF routines
Table of Contents for all manual pages
Index of all manual pages